> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepslate.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SIP Credentials

> Retrieves detailed information about a specific sip credentials.



## OpenAPI

````yaml GET /api/v1/vendors/{vendorId}/organizations/{organizationId}/sip/credentials/{sipCredentialsId}
openapi: 3.1.0
info:
  title: Deepslate
  description: OpenAPI specification of the public Deepslate API
  version: v1.0
servers:
  - url: https://app.deepslate.eu
    description: Generated server url
security: []
tags:
  - name: SIP Credentials Management
    description: API endpoints for managing SIP Credentials within an Organization
  - name: Assistant Management
    description: API endpoints for managing Assistants within an Organization
  - name: SIP Numbers Management
    description: API endpoints for managing SIP Numbers within an Organization
  - name: Agent Task Management
    description: API endpoints for retrieving Agent Tasks
  - name: Organization Management
    description: API endpoints for managing Organizations
  - name: Agent Management
    description: API endpoints for managing Agents within an Organization
  - name: LLM Generation Strategy Management
    description: >-
      API endpoints for managing LLM Generation Strategies within an
      Organization
paths:
  /api/v1/vendors/{vendorId}/organizations/{organizationId}/sip/credentials/{sipCredentialsId}:
    get:
      tags:
        - SIP Credentials Management
      summary: Get SIP Credentials
      description: Retrieves detailed information about a specific sip credentials.
      operationId: getSipCredentials
      parameters:
        - name: vendorId
          in: path
          description: ID of the Vendor (UUID)
          required: true
          schema:
            type: string
          example: a1b2c3d4-e5f6-7890-1234-567890abcdef
        - name: organizationId
          in: path
          description: ID of the Organization (UUID)
          required: true
          schema:
            type: string
          example: f0e9d8c7-b6a5-4321-fedc-ba9876543210
        - name: sipCredentialsId
          in: path
          description: ID of the SIP Credentials (UUID)
          required: true
          schema:
            type: string
          example: 550e8400-e29b-41d4-a716-446655440000
      responses:
        '200':
          description: Successfully retrieved sip credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SipCredentialsDetailsResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden - User does not have permission
        '404':
          description: SIP Credentials, Organization or Vendor not found
components:
  schemas:
    SipCredentialsDetailsResponse:
      type: object
      description: Standard API response wrapper
      properties:
        success:
          type: boolean
          description: Indicates if the request was successful
          example: true
        message:
          type: string
          description: Human-readable message
        data:
          $ref: '#/components/schemas/SipCredentialsDetails'
          description: Payload data object
        timestamp:
          type: string
          format: date-time
          description: Response timestamp in ISO-8601 format
          example: '2025-04-17T14:23:30Z'
        traceId:
          type: string
          description: Correlation or trace ID
      required:
        - success
        - timestamp
    SipCredentialsDetails:
      type: object
      description: Detailed SIP credentials view without exposing the password.
      properties:
        id:
          type: string
          description: Unique identifier of the SIP credentials (UUID).
          example: 550e8400-e29b-41d4-a716-446655440000
        hostname:
          type: string
          description: Hostname or IP address of the SIP server.
          example: sip.example.com
        port:
          type: integer
          format: int32
          description: Port of the SIP server.
          example: 5060
          maximum: 65535
          minimum: 1
        username:
          type: string
          description: Username for the SIP account.
          example: agent001
        maxAgentTasks:
          type: integer
          format: int32
          description: Maximum simultaneous agent tasks allowed for these credentials.
          example: 5
          minimum: 1
      required:
        - hostname
        - id
        - maxAgentTasks
        - port
        - username

````